<?php

namespace Teknisa\SM\Service;

use Teknisa\SM\Factory\Sm00006002VariacaoTipoDeMedidaFactory as variacaoTpMedidaFactory;
use Teknisa\Libs\Util\Environment;

class Sm00006002VariacaoTipoDeMedidaService {
    
    protected $variacaoTpMedidaFactory;
    protected $Environment;
    
    
    public function __construct(variacaoTpMedidaFactory $variacaoTpMedidaFactory, Environment $Environment) {
        
        $this->variacaoTpMedidaFactory = $variacaoTpMedidaFactory;
        $this->Environment  = $Environment;
        
    }
    
    /**
     * A função "validaTipoMedidaVariavel" verifica se o tipo de medida variável
     * ja está criado para a faixa existente.
     */
     
    public function validaTipoMedidaVariavel($cdTpMedidaServ, $CdtpMedidaVariavel, $nrVaricacaoTpMedida) {
        $params = array(
            "CDTPMEDIDASERV" => $cdTpMedidaServ,
            "CDTPMEDIDAVARIAVEL" => $CdtpMedidaVariavel,
            'NRVARIACAOTPMEDIDA'=> $nrVaricacaoTpMedida,
            "NRORG"            => $this->Environment->getNrOrg()
        );
        
        return $this->variacaoTpMedidaFactory->validaTipoMedidaVariavel($params);
    
    }
    
     /**
     * A função "validaExsiteMedidaVariavel" verifica se existem medidas variaveis 
     * para o tipo de medida atual.
     */
     
     public function validaExsiteMedidaVariavel($cdTpMedidaServ){
    
        $params = array(
            "CDTPMEDIDASERV" => $cdTpMedidaServ,
            "NRORG"            => $this->Environment->getNrOrg()
        );
        
        $ValidaExisteMedVariavel = $this->variacaoTpMedidaFactory->validaExsiteMedidaVariavel($params);
        
        return $ValidaExisteMedVariavel[0]["VALIDA"] != 0;
        
    }
    
      /**
     * A função "validaExsiteVariacao" verifica se o tipo de medida variavel esá sendo 
     * utilizado.
     */
     
     public function validaExsiteVariacao($CdtpMedidaVariavel){
    
        $params = array(
            "CDTPMEDIDAVARIAVEL" => $CdtpMedidaVariavel,
            "NRORG"            => $this->Environment->getNrOrg()
        );
        
        $ValidaExsiteVariacao = $this->variacaoTpMedidaFactory->validaExsiteVariacao($params);
        
        return $ValidaExsiteVariacao[0]["VALIDA"] != 0;
        
    }
}

?>